#
# spec file for package python-django-dajax
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-django-dajax
Version:        0.9.2
Release:        2.3
Summary:        Library to create asynchronous presentation logic with django and dajaxice
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://dajaxproject.com
Source:         django-dajax-%{version}.tar.bz2
BuildRequires:  python-devel
BuildRequires:  python-django-dajaxice >= 0.5
Requires:       python-django
Requires:       python-django-dajaxice >= 0.5
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Dajax is a powerful tool to easily and super-fastly develop asynchronous
presentation logic in web applications using python and almost no lines of JS
source code.

It supports up to four of the most popular JS frameworks:
Prototype, jQuery, Dojo and mootols.

Using dajaxice communication core, dajax implements an abstraction layer
between the presentation logic managed with JS and your python business logic.
With dajax you can modify your DOM structure directly from python.

Note: If you want to avoid mixing your Presentation logic within your Business
logic, try dajaxice . Dajaxice implements an easy to use protocol to invoke
your ajax functions asynchronously without any JavaScript Framework requirement.

%prep
%setup -q -n django-dajax-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%{python_sitelib}/*
#%%{_datadir}/django-dajax/

%changelog
* Sat Aug 18 2012 alexandre@exatati.com.br
- Update to 0.9.2:
  * Fix unicode issues
  * Fix Internet Explorer issues modifying element's innerHTML
* Thu Aug 16 2012 alexandre@exatati.com.br
- Update to 0.9.1:
  * Move dajaxice core from dajaxice.core.Dajax to dajax.core
  * Django 1.3 is now a requirement
  * dajaxice 0.5 is now a requirement
  * Static files are now located inside static instead of src
* Tue Mar 13 2012 cfarrell@suse.com
- license update: BSD-3-Clause
  COPYING clearly is BSD-3-Clause
* Fri Feb 24 2012 saschpe@suse.de
- Spec file cleanup:
  * Simplified macro usage
  * Use original tarball
* Mon Mar 29 2010 alexandre@exatati.com.br
- Update to 0.8.4.
* Tue Feb 23 2010 alexandre@exatati.com.br
- Update to 0.8.3.
* Tue Feb 23 2010 alexandre@exatati.com.br
- Update to 0.8.2.
* Wed Jan  6 2010 alexandre@exatati.com.br
- RPM renamed to python-django-dajax instead of python-dajax;
- Fixed Require tag changing python-dajaxice to
  python-django-dajaxice;
- Update to 0.8.1.
* Thu Dec 10 2009 alexandre@exatati.com.br
- Added python-dajaxice to Require tag in spec file.
* Thu Dec 10 2009 alexandre@exatati.com.br
- Update to 0.8.0.0.
* Fri Nov 20 2009 alexandre@exatati.com.br
- Update to 0.7.5.1.
* Mon Nov 16 2009 alexandre@exatati.com.br
- Update to 0.7.5.0.
* Fri Nov 13 2009 alexandre@exatati.com.br
- Update to 0.7.4.1.
* Fri Nov 13 2009 alexandre@exatati.com.br
- Update to 0.7.4.0.
* Wed Oct  7 2009 alexandre@exatati.com.br
- Update to 0.7.3.1;
- Building as noarch for openSUSE >= 11.2.
* Tue Sep 15 2009 alexandre@exatati.com.br
- Update to 0.7.3.0.
* Sat Sep  5 2009 alexandre@exatati.com.br
- Update to 0.7.2.1.
* Wed Sep  2 2009 alexandre@exatati.com.br
- Initial package (0.7.2.0) for openSUSE.
